Summary:	Simple greylisting system for mail transport agents
Summary(pl.UTF-8):	Prosty system szarych list dla serwerów pocztowych
Name:		greylistd
Version:	0.9.0.2
Release:	1
License:	GPL v2
Group:		Daemons
Source0:	http://ftp.debian.org/debian/pool/main/g/greylistd/%{name}_%{version}.tar.xz
# Source0-md5:	1c6d6342a34784fff00eb77254058a82
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.tmpfiles
URL:		http://packages.debian.org/unstable/mail/greylistd
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	python3
Requires:	python3-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This daemon provides a simple greylisting implementation for use with
Exim and other mail transport agents (MTAs).

%description -l pl.UTF-8
Ten demon udostępnia prostą implementację szarych list do
wykorzystania z Eximem i innymi serwerami pocztowymi (MTA).

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{sysconfig,rc.d/init.d,%{name}} \
	$RPM_BUILD_ROOT{/var/run/%{name},/var/lib/%{name},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

install program/greylist $RPM_BUILD_ROOT%{_bindir}
install program/greylistd $RPM_BUILD_ROOT%{_sbindir}
install config/config $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config
install doc/man1/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/man8/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service %{name} restart
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = 0 ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc doc/examples/*
/usr/lib/tmpfiles.d/%{name}.conf
%dir %attr(755,mail,mail) /var/run/%{name}
%dir %attr(755,mail,mail) /var/lib/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/config
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man?/*
%changelog
* Thu Mar 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/greylistd.git;a=log;h=master

* Thu Mar 11 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cc774e
- up to 0.9.0.2

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> b8fb39f
- up to 0.8.8.8

* Sat Oct 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7488a2e
- up to 0.8.8.7; looks like no real changes

* Mon Jan 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 83576e7
- up to 0.8.8.4 (no actual changes)

* Tue May 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cf99f91
- up to 0.8.8.3

* Wed Aug 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 88a3783
- up to 0.8.8.1

* Fri Mar 30 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e86f716
- Wait longer and in background. This entire thing is very ugly hack.

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> a939d32
- release 2

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 67d0424
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 4e11bf6
- add systemd tmpfiles config

* Sat Dec 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ac8d747
- up to 0.8.8

* Sun Jul 13 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 065d5d2
- updated to 0.8.7

* Fri Dec 28 2007 dzeus <dzeus@pld-linux.org> ebe51ab
- up to 0.8.6

* Tue Oct 09 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 73d9faa
- up to 0.8.5

* Sat Jun 30 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> f6daf2e
- updated to 0.8.3.5

* Fri Feb 23 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> c8d9bfd
- updated to 0.8.3.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b55de8c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bb279b2
- converted to UTF-8

* Sun Feb 04 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> bc54b7a
- updated to 0.8.3.3

* Mon Jan 22 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8afcefc
- restart on upgrade

